---
identifier: "GMS-2021-7"
identifiers:
- "GHSA-cqff-fx2x-p86v"
- "GMS-2021-7"
package_slug: "pypi/botframework-connector"
title: "Improper Authentication"
description: "### Impact\nA maliciously crafted claim may be incorrectly authenticated
  by the bot. Impacts bots that are not configured to be used as a Skill. This vulnerability
  requires an attacker to have internal knowledge of the bot.\n\n### Patches\nThe
  problem has been patched in all affected versions. Please see the list of patched
  versions for the most appropiate one for your individual case.\n\n### Workarounds\nUsers
  who do not wish or are not able to upgrade can add an authentication configuration
  containing ClaimsValidator, which throws an exception if Claims are Skill Claims.
  \n\nFor detailed instructions, see the link in the References section.\n\n### For
  more information\nIf you have any questions or comments about this advisory:\n*
  Open an issue in [Microsoft Bot Builder SDK](https://github.com/microsoft/botframework-sdk)\n*
  Email us at [bf-reports@microsoft.com](mailto:bf-reports@microsoft.com)"
date: "2021-07-01"
pubdate: "2021-03-08"
affected_range: ">=4.7.0,<4.7.2||==4.8.0||>=4.9.0,<4.9.3||==4.10.0"
fixed_versions:
- "4.7.2"
- "4.8.1"
- "4.9.3"
- "4.10.1"
affected_versions: "All versions starting from 4.7.0 before 4.7.2, version 4.8.0,
  all versions starting from 4.9.0 before 4.9.3, version 4.10.0"
not_impacted: "All versions before 4.7.0, all versions starting from 4.7.2 before
  4.8.0, all versions after 4.8.0 before 4.9.0, all versions starting from 4.9.3 before
  4.10.0, all versions after 4.10.0"
solution: "Upgrade to versions 4.7.2, 4.8.1, 4.9.3, 4.10.1 or above."
urls:
- "https://github.com/microsoft/botbuilder-python/security/advisories/GHSA-cqff-fx2x-p86v"
- "https://github.com/microsoft/botbuilder-python/blob/main/doc/SkillClaimsValidation.md"
- "https://pypi.org/project/botframework-connector/"
- "https://github.com/advisories/GHSA-cqff-fx2x-p86v"
uuid: "9d386622-38e3-4de0-b98a-61b613168ba5"
cwe_ids:
- "CWE-1035"
- "CWE-937"
